Download a published document (salt and digest in X-HardState-Salt / X-HardState-Digest)
GET
/v1/docs/{commitment}
const url = 'https://api.hardstate.net/v1/docs/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hardstate.net/v1/docs/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”commitment
required
string
Responses
Section titled “Responses”The file
Error
Media typeapplication/json
object
error
string
Example generated
{ "error": "example"}HardState is a Zevlat Intelligence venture. © 2026 Zevlat Intelligence.